cURL
curl --request PUT \
--header 'Authorization: Bearer YOUR_SECRET_API_KEY' \
--url https://sandbox.straddle.com/v1/linked_bank_accounts/<uuid> \
--header 'Content-Type: application/json' \
--data '{
"bank_account": {
"account_holder": "<string>",
"routing_number": "<string>",
"account_number": "<string>"
}
}'import Straddle from '@straddlecom/straddle';
const client = new Straddle({
apiKey: process.env['STRADDLE_API_KEY'], // This is the default and can be omitted
});
async function main() {
const linkedBankAccountV1 = await client.embed.linkedBankAccounts.update(
'182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
{
bank_account: {
account_holder: 'account_holder',
account_number: 'account_number',
routing_number: 'xxxxxxxxx',
},
},
);
console.log(linkedBankAccountV1.data);
}
main();import os
from straddle import Straddle
client = Straddle(
api_key=os.environ.get("STRADDLE_API_KEY"), # This is the default and can be omitted
)
linked_bank_account_v1 = client.embed.linked_bank_accounts.update(
linked_bank_account_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
bank_account={
"account_holder": "account_holder",
"account_number": "account_number",
"routing_number": "xxxxxxxxx",
},
)
print(linked_bank_account_v1.data)require "straddle"
straddle = Straddle::Client.new(
api_key: ENV["STRADDLE_API_KEY"], # This is the default and can be omitted
environment: "production" # defaults to "sandbox"
)
linked_bank_account_v1 = straddle.embed.linked_bank_accounts.update(
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
bank_account: {account_holder: "account_holder", account_number: "account_number", routing_number: "xxxxxxxxx"}
)
puts(linked_bank_account_v1){
"meta": {
"api_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"api_request_timestamp": "2023-11-07T05:31:56Z"
},
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status_detail": {
"source": "watchtower",
"code": "<string>",
"message": "<string>"
},
"bank_account": {
"institution_name": "<string>",
"account_holder": "<string>",
"routing_number": "<string>",
"account_mask": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"purposes": [],
"metadata": {},
"platform_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>"
}
}{
"meta": {
"api_request_id": "<string>",
"api_request_timestamp": "<string>",
"sort_order": "<string>",
"sort_by": "<string>",
"page_number": 123,
"page_size": 123,
"total_rows": 123
},
"data": null,
"error": {
"status": 123,
"type": "<string>",
"title": "<string>",
"detail": "<string>",
"items": [
{
"reference": "<string>",
"detail": "<string>"
}
]
}
}{
"meta": {
"api_request_id": "<string>",
"api_request_timestamp": "<string>",
"sort_order": "<string>",
"sort_by": "<string>",
"page_number": 123,
"page_size": 123,
"total_rows": 123
},
"data": null,
"error": {
"status": 123,
"type": "<string>",
"title": "<string>",
"detail": "<string>",
"items": [
{
"reference": "<string>",
"detail": "<string>"
}
]
}
}{
"meta": {
"api_request_id": "<string>",
"api_request_timestamp": "<string>",
"sort_order": "<string>",
"sort_by": "<string>",
"page_number": 123,
"page_size": 123,
"total_rows": 123
},
"data": null,
"error": {
"status": 123,
"type": "<string>",
"title": "<string>",
"detail": "<string>",
"items": [
{
"reference": "<string>",
"detail": "<string>"
}
]
}
}{
"meta": {
"api_request_id": "<string>",
"api_request_timestamp": "<string>",
"sort_order": "<string>",
"sort_by": "<string>",
"page_number": 123,
"page_size": 123,
"total_rows": 123
},
"data": null,
"error": {
"status": 123,
"type": "<string>",
"title": "<string>",
"detail": "<string>",
"items": [
{
"reference": "<string>",
"detail": "<string>"
}
]
}
}{
"meta": {
"api_request_id": "<string>",
"api_request_timestamp": "<string>",
"sort_order": "<string>",
"sort_by": "<string>",
"page_number": 123,
"page_size": 123,
"total_rows": 123
},
"data": null,
"error": {
"status": 123,
"type": "<string>",
"title": "<string>",
"detail": "<string>",
"items": [
{
"reference": "<string>",
"detail": "<string>"
}
]
}
}Linked Bank Accounts
Update a linked bank account
Updates an existing linked bank account’s information. This can be used to update account details during onboarding or to update metadata associated with the linked account. The linked bank account must be in ‘created’ or ‘onboarding’ status.
PUT
/
v1
/
linked_bank_accounts
/
{linked_bank_account_id}
cURL
curl --request PUT \
--header 'Authorization: Bearer YOUR_SECRET_API_KEY' \
--url https://sandbox.straddle.com/v1/linked_bank_accounts/<uuid> \
--header 'Content-Type: application/json' \
--data '{
"bank_account": {
"account_holder": "<string>",
"routing_number": "<string>",
"account_number": "<string>"
}
}'import Straddle from '@straddlecom/straddle';
const client = new Straddle({
apiKey: process.env['STRADDLE_API_KEY'], // This is the default and can be omitted
});
async function main() {
const linkedBankAccountV1 = await client.embed.linkedBankAccounts.update(
'182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
{
bank_account: {
account_holder: 'account_holder',
account_number: 'account_number',
routing_number: 'xxxxxxxxx',
},
},
);
console.log(linkedBankAccountV1.data);
}
main();import os
from straddle import Straddle
client = Straddle(
api_key=os.environ.get("STRADDLE_API_KEY"), # This is the default and can be omitted
)
linked_bank_account_v1 = client.embed.linked_bank_accounts.update(
linked_bank_account_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
bank_account={
"account_holder": "account_holder",
"account_number": "account_number",
"routing_number": "xxxxxxxxx",
},
)
print(linked_bank_account_v1.data)require "straddle"
straddle = Straddle::Client.new(
api_key: ENV["STRADDLE_API_KEY"], # This is the default and can be omitted
environment: "production" # defaults to "sandbox"
)
linked_bank_account_v1 = straddle.embed.linked_bank_accounts.update(
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
bank_account: {account_holder: "account_holder", account_number: "account_number", routing_number: "xxxxxxxxx"}
)
puts(linked_bank_account_v1){
"meta": {
"api_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"api_request_timestamp": "2023-11-07T05:31:56Z"
},
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status_detail": {
"source": "watchtower",
"code": "<string>",
"message": "<string>"
},
"bank_account": {
"institution_name": "<string>",
"account_holder": "<string>",
"routing_number": "<string>",
"account_mask": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"purposes": [],
"metadata": {},
"platform_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>"
}
}{
"meta": {
"api_request_id": "<string>",
"api_request_timestamp": "<string>",
"sort_order": "<string>",
"sort_by": "<string>",
"page_number": 123,
"page_size": 123,
"total_rows": 123
},
"data": null,
"error": {
"status": 123,
"type": "<string>",
"title": "<string>",
"detail": "<string>",
"items": [
{
"reference": "<string>",
"detail": "<string>"
}
]
}
}{
"meta": {
"api_request_id": "<string>",
"api_request_timestamp": "<string>",
"sort_order": "<string>",
"sort_by": "<string>",
"page_number": 123,
"page_size": 123,
"total_rows": 123
},
"data": null,
"error": {
"status": 123,
"type": "<string>",
"title": "<string>",
"detail": "<string>",
"items": [
{
"reference": "<string>",
"detail": "<string>"
}
]
}
}{
"meta": {
"api_request_id": "<string>",
"api_request_timestamp": "<string>",
"sort_order": "<string>",
"sort_by": "<string>",
"page_number": 123,
"page_size": 123,
"total_rows": 123
},
"data": null,
"error": {
"status": 123,
"type": "<string>",
"title": "<string>",
"detail": "<string>",
"items": [
{
"reference": "<string>",
"detail": "<string>"
}
]
}
}{
"meta": {
"api_request_id": "<string>",
"api_request_timestamp": "<string>",
"sort_order": "<string>",
"sort_by": "<string>",
"page_number": 123,
"page_size": 123,
"total_rows": 123
},
"data": null,
"error": {
"status": 123,
"type": "<string>",
"title": "<string>",
"detail": "<string>",
"items": [
{
"reference": "<string>",
"detail": "<string>"
}
]
}
}{
"meta": {
"api_request_id": "<string>",
"api_request_timestamp": "<string>",
"sort_order": "<string>",
"sort_by": "<string>",
"page_number": 123,
"page_size": 123,
"total_rows": 123
},
"data": null,
"error": {
"status": 123,
"type": "<string>",
"title": "<string>",
"detail": "<string>",
"items": [
{
"reference": "<string>",
"detail": "<string>"
}
]
}
}Authorizations
Use your Straddle API Key in the Authorization header as Bearer to authorize API requests.
Headers
Optional client generated identifier to trace and debug a request.
Optional client generated identifier to trace and debug a series of requests.
Optional client generated value to use for idempotent requests.
Required string length:
10 - 40Path Parameters
Body
application/jsontext/jsonapplication/*+json
Response
OK
Metadata about the API request, including an identifier and timestamp.
Show child attributes
Show child attributes
Indicates the structure of the returned content.
- "object" means the
datafield contains a single JSON object. - "array" means the
datafield contains an array of objects. - "error" means the
datafield contains an error object with details of the issue. - "none" means no data is returned.
Available options:
object, array, error, none Show child attributes
Show child attributes
Was this page helpful?
⌘I